ParserResultObject
Date: 2016-04-25

convertEIR

## Class ParserResultObject

- java.lang.Object
- - convertEIR.ParserResultObject

-     public class ParserResultObject
      extends java.lang.Object

  This class records and prints all electric chillers found in an input file.

  ### License agreement

  The use of this program is subjected to the following license terms.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserResultObject()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cardinalElectricEirsDuplicatesFile(java.lang.String fileName)` This method returns the number of duplicated ElectricEIR found in an input file.
    `double` | `cardinalReformElectricEirsDuplicatesFile(java.lang.String fileName)` This method returns the number of duplicated reformulated ElectricEIR in an input file.
    `void` | `electricEirsDuplicates(java.lang.String fileName)` This method finds duplicated ElectricEIR in the input file and print them in an output file.
    `void` | `reformElectricEirsDuplicates(java.lang.String fileName)` This method finds duplicated reformulated ElectricEIR in an input file and print them in an output file.
    `static java.util.ArrayList<java.lang.String>` | `removeDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method removes duplicates from an array list.
    `static java.util.ArrayList<java.lang.String>` | `saveDuplicates(java.util.ArrayList<java.lang.String> arlList)` This method saves duplicates found in an array list.
    `void` | `setFoundElectricEIRs(java.util.ArrayList<ElectricEIR> eirs)` This method sets the found electric chillers in an array.
    `void` | `setFoundReformElectricEIRs(java.util.ArrayList<ReformElectricEIR> reformEirs)` This method sets the found reformulated electric chillers in an array.
    `void` | `toMoElectricEirsFile(java.lang.String fileName)` This method prints all ElectricEIR in an output file.
    `void` | `toMoReformElectricEirsFile(java.lang.String fileName)` This method prints all reformulated ElectricEIR in an output file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserResultObject

          public ParserResultObject()

  - ### Method Detail

    - #### setFoundElectricEIRs

          public void setFoundElectricEIRs(java.util.ArrayList<ElectricEIR> eirs)

      This method sets the found electric chillers in an array.
      Parameters:
        `eirs` - array list of ElectricEIRs.

    - #### setFoundReformElectricEIRs

          public void setFoundReformElectricEIRs(java.util.ArrayList<ReformElectricEIR> reformEirs)

      This method sets the found reformulated electric chillers in an array.
      Parameters:
        `reformEirs` - array list of reformulated ElectricEIR.

    - #### electricEirsDuplicates

          public void electricEirsDuplicates(java.lang.String fileName)
                                      throws java.io.IOException

      This method finds duplicated ElectricEIR in the input file and print them in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### toMoElectricEirsFile

          public void toMoElectricEirsFile(java.lang.String fileName)
                                    throws java.io.IOException

      This method prints all ElectricEIR in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### cardinalElectricEirsDuplicatesFile

          public double cardinalElectricEirsDuplicatesFile(java.lang.String fileName)

      This method returns the number of duplicated ElectricEIR found in an input file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Returns:
        number of duplicates.

    - #### reformElectricEirsDuplicates

          public void reformElectricEirsDuplicates(java.lang.String fileName)
                                            throws java.io.IOException

      This method finds duplicated reformulated ElectricEIR in an input file and print them in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### toMoReformElectricEirsFile

          public void toMoReformElectricEirsFile(java.lang.String fileName)
                                          throws java.io.IOException

      This method prints all reformulated ElectricEIR in an output file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Throws:
        `java.io.IOException` - when problems occur during file access.

    - #### cardinalReformElectricEirsDuplicatesFile

          public double cardinalReformElectricEirsDuplicatesFile(java.lang.String fileName)

      This method returns the number of duplicated reformulated ElectricEIR in an input file.
      Parameters:
        `fileName` - the EnergyPlus idf file name.
      Returns:
        number of duplicates.

    - #### saveDuplicates

          public static java.util.ArrayList<java.lang.String> saveDuplicates(java.util.ArrayList<java.lang.String> arlList)

      This method saves duplicates found in an array list.
      Parameters:
        `arlList` - array list with duplicated entries.
      Returns:
        new array list with found duplicates.

    - #### removeDuplicates

          public static java.util.ArrayList<java.lang.String> removeDuplicates(java.util.ArrayList<java.lang.String> arlList)

      This method removes duplicates from an array list.
      Parameters:
        `arlList` - array list with duplicated entries.
      Returns:
        new array list without duplicates.